## gnunet 0.6.6b

=== contrib/OSX/Makefile ===
all:
	./build_app

clean:
	-rm -rf GNUnet.app GNUnet.dmg *~
