## gnunet 0.8.1b

=== debian/changelog ===
gnunet (0.8.1b-7) experimental; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.2.
  * Switching to source version 3.0 (quilt).
  * Removing pre-squeeze version declarations from build-depends.
  * Updating years in copyright file.
  * Making packaging distribution neutral.
  * Compacting copyright file.
  * Removing leading slash in debhelper install files.
  * Simplyfing autotools handling in rules.
  * Adding Danish debconf translations from Joe Hansen
    <joedalton2@yahoo.dk> (Closes: #633908).
  * Updating po files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 15 Sep 2011 13:52:08 +0200

gnunet (0.8.1b-6) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Rebuilding against transitioned libesmtp (Closes: #597942).
  * Updating to standards version 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 24 Sep 2010 18:25:52 +0200

gnunet (0.8.1b-5) unstable; urgency=low

  * Correcting spelling typo in README.Debian (Closes: #586583).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 26 Jun 2010 20:13:27 +0200

gnunet (0.8.1b-4) unstable; urgency=low

  * Stopp calling debconf-updatepo in clean target of rules.
  * Dropping la files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 03 May 2010 21:06:32 +0200

gnunet (0.8.1b-3) unstable; urgency=medium

  * Adding depends to remote_fs in init script.
  * Rebuilding against libextractor with epoche to ease testing
    migration.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Mar 2010 09:59:41 +0100

gnunet (0.8.1b-2) unstable; urgency=medium

  * Adding patch to disable initscript creation in gnunet-setup (Closes:
    #555107).
  * Adding patch to use correct initscript name for gnunet-server in
    gnunet-setup.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 14 Mar 2010 11:32:57 +0100

gnunet (0.8.1b-1) unstable; urgency=low

  * Merging upstream version 0.8.1b.
  * Updating build-depends, depends, and conflicts on libextractor.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 06 Mar 2010 10:50:09 +0100

gnunet (0.8.1a-1) unstable; urgency=low

  * Updating year in copyright file.
  * Populating gnunetd.conf from upstreams example files.
  * Updating to standards 3.8.4.
  * Merging upstream version 0.8.1a.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 15 Feb 2010 13:11:53 +0100

gnunet (0.8.1-1) unstable; urgency=low

  * Simplifying autotools handling in rules.
  * Setting last-translator for German debconf templates to me, no
    intention do deal with debian-l10n-german in the future anymore.
  * Moving maintainer homepage from control to copyright.
  * Updating README.source.
  * Bumping versioned build-depends on debhelper.
  * Adding Japanese debconf translations from Hideki Yamane
    <henrich@debian.or.jp> (Closes: #558066).
  * Adding explicit source version 1.0 until switch to 3.0.
  * Merging upstream version 0.8.1.
  * Adding libstartup-notification0-dev to build-depends.
  * Adding conflicts against libextractor 0.6 which will be incompatible
    with gnunet 0.8.
  * Updating debhelper files for new upstream version.
  * Not calling tempfile with full path in gnunet-server.postinst.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 29 Dec 2009 18:39:36 +0100

gnunet (0.8.0c-8) unstable; urgency=low

  * Updating to standards version 3.8.3.
  * Correcting spelling mistake in copyright file.
  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Correcting variable assignment in postinst which fails if default
    shell is dash (Closes: #544020, #544032, #544033).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 29 Aug 2009 15:06:12 +0200

gnunet (0.8.0c-7) unstable; urgency=low

  * Excluding chown call on /var/run/gnunetd in postinst, directory is
    handled in the initscript (Closes: #541685).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 15 Aug 2009 21:09:42 +0200

gnunet (0.8.0c-6) unstable; urgency=low

  * Removing optional debconf queries in gnunet-servers postrm to avoid
    (spuriously?) hanging processes on the buildds (Closes: #541400).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 13 Aug 2009 23:51:23 +0200

gnunet (0.8.0c-5) unstable; urgency=low

  * Reworking handling of autostart of gnunet-server.
  * Only listing Christian as main author/contact person in copyright.
  * Denoting debconf question about autostart to medium, which is just
    more accurate.
  * Applying some cosmetics to gnunet-server postinst script.
  * Making sure that we don't get empty answers from debconf for gnunet
    username and groupname.
  * Calling dh_install with fail-missing when building the arch any
    packages.
  * Unifying debconf translation headers.
  * Excluding /var/run/gnunetd from gnunet-server.dirs, it's created by
    the initscript anyway.
  * Using test -f instead of the stronger test -r when checking for
    existence of the default file, just to shut up lintian.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 13 Aug 2009 18:46:40 +0200

gnunet (0.8.0c-4) unstable; urgency=low

  * Removing gnunet-update call in gnunet-server postinst, it's not
    required anymore.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 12 Aug 2009 12:34:42 +0200

gnunet (0.8.0c-3) unstable; urgency=low

  * Removing unneded versions for build-depends.
  * Wrapping build depends.
  * Sorting depends.
  * Updating year in copyright file.
  * Tidy rules file.
  * Setting priority of debconf question about gnunet user account to

