=== debian/control ===
Source: gnunet
Section: net
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 8), autotools-dev, dialog, gettext, guile-1.8-dev, libadns1-dev,
 libcurl4-gnutls-dev, libesmtp-dev, libextractor-dev, libgcrypt11-dev,
 libglade2-dev, libgmp3-dev, libgtk2.0-dev, libmicrohttpd-dev, libltdl3-dev,
 libmysqlclient-dev, libncursesw5-dev, libsqlite3-dev, libssl-dev,
 libstartup-notification0-dev, libxml2-dev, zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.gnunet.org/

Package: gnunet
Architecture: all
Depends: ${misc:Depends}, gnunet-client, gnunet-server, gnunet-tools
Description: secure, trust-based peer-to-peer framework (meta)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package is a metapackage depending on gnunet-client, gnunet-server and
 gnunet-tools.

Package: gnunet-client
Architecture: any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
 gettext
Suggests: gnunet-server, libextractor-plugins
Description: secure, trust-based peer-to-peer framework (client)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the command line client applications, such as
 gnunet-search and gnunet-download. In order use GNUnet, you also need
 gnunet-server either on your server or on your local machine.

Package: gnunet-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libextractor3
Description: secure, trust-based peer-to-peer framework (common)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the common files.

Package: gnunet-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, gnunet-client (= ${binary:Version}),
 gnunet-common (= ${binary:Version}), gnunet-dev (= ${binary:Version}),
 gnunet-server (= ${binary:Version}), gnunet-tools (= ${binary:Version})
Description: secure, trust-based peer-to-peer framework (debug)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the debugging symbols.

Package: gnunet-server
Architecture: any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
 adduser, gettext, netbase
Description: secure, trust-based peer-to-peer framework (server)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the server, needed to run a GNUnet node.

Package: gnunet-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends}, gnunet-server (= ${binary:Version}),
 gnunet-client (= ${binary:Version}), gnunet-tools (= ${binary:Version}),
 libextractor-dev (>= 1:0.5), libmicrohttpd-dev (>= 0.4.0a)
Description: secure, trust-based peer-to-peer framework (development)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains the development files.

Package: gnunet-tools
Architecture: any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
 gettext
Description: secure, trust-based peer-to-peer framework (tools)
 GNUnet is a peer-to-peer framework which focuses on providing security. All
 link-to-link messages in the network are confidential and authenticated. The
 framework provides a transport abstraction layer and can currently encapsulate
 the peer-to-peer traffic in UDP, TCP, or SMTP messages.
 .
 This package contains additional tools such as the gnunet-setup graphical tool.
