## gnunet 0.9.2

=== debian/changelog ===
gnunet (0.9.2-2) unstable; urgency=low

  * Build-depends on libextractor (>=1:0.6.3), with an epoch (Closes: #673302).
  * Gnunet-server breaks/replaces gnunet-fuse (<<0.9) as they both contains
    common files (Closes: #673382).
  * gnunet-server breaks/replaces gnunet-client (<<0.9) (Closes: #673801).

 -- Bertrand Marc <beberking@gmail.com>  Wed, 23 May 2012 21:54:32 +0200

gnunet (0.9.2-1) unstable; urgency=low

  * New maintainer (Closes: #660438).
  * New upstream release (Closes: #621645).
  * Remove debian/patches, not necessary any more.
  * Update dependencies, according to README:
    + update minimal versions. 
    + depends on libunistring-dev.
    + depends on libltdl-dev instead of libltdl3-dev.
    + no need to depend on libgtk anymore.
    + gnunet-server suggests miniupnpc.
  * debian/rules:
    + no need to define LOGFILE and PIDFILE.
    + create a minimal conf file.
    + cut gnunet-download-manager.scm extension.
    + remove autogenerated files in clean.
  * Gnunet is now released under the GPL v3.
  * Standards version 3.9.3.
  * Add debian/watch.
  * Adding Italian debconf translations, thanks to Beatrice Torracca
    (Closes: #663432).
  * Move to dh-autoreconf and add extend-diff-ignore in debian/source/options.
  * Remove gnunet-tools since gnunet-setup is not part of gnunet anymore
    (Closes:#651192).
  * gnunet-server.init:
    + several services are now supervised by gnunet-service-arm.
    + define the logfile at run time.
  * Use a secured group gnunetdns for SUID binaries and change permissions
    accordingly, see https://gnunet.org/gnunet-access-control-model
  * gnunet-server.postinst, gnunet-server.postrm: use dpkg-statoverride to set
    and remove setuid permissions.
  * Remove properly the old incompatible /etc/gnunetd.conf, use
    /etc/gnunet.conf instead.
  * Add minimal (generic) man pages when information is available.
  * Remove dpkg options for compression.
  * gnunet-server.docs: add README.mysql and README.postgres.
  * debian/rules: remove template binaries after dh_install.
  * debian/copyright:
    + use copyright format 1.0.
    + mention AUTHORS and translators.
    + use GPL-3+ when possible.
    + add a paragraph for two files distributed under MIT/X11.
  * Use dh_installdocs --link-doc to avoid redundancy.
  * Remove unused debian/gnunet-dev.lintian-overrides.
  * debian/control: add Vcs-git and Vcs-browser fields.
  * gnunet-server.postrm:
    + use debconf to determine which user and group to delete.
    + remove /var/lib/gnunet on purge.
    + remove /etc/default/gnunet-server on purge (Closes: #668766).
  * Make gnunet-dbg dependencies alternatives as it provides debugging
    symbol for all of them.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 06 May 2012 00:28:20 +0200

gnunet (0.8.1b-8) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Feb 2012 08:24:30 +0000
