## gnunet 0.9.3

=== debian/changelog ===
gnunet (0.9.3-7build1) trusty; urgency=low

  * No change rebuild for the glpk transition.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 21 Dec 2013 18:46:41 +0530

gnunet (0.9.3-7) unstable; urgency=low

  * Revert previous changes and go back to 0.9.3-5 to target wheezy.

 -- Bertrand Marc <beberking@gmail.com>  Thu, 28 Feb 2013 09:19:22 +0100

gnunet (0.9.3-6) unstable; urgency=low

  * Fix build on kfreebsd, thanks to Christoph Egger (Closes: #688486).
  * gnunet-server.postinst: check the existence of a binary before changing its
    permissions (Closes: #688484).

 -- Bertrand Marc <beberking@gmail.com>  Sun, 27 Jan 2013 12:55:10 +0100

gnunet (0.9.3-5) unstable; urgency=low

  * Revert previous changes to target wheezy:
    + depend on gettext.
    + drop patch to fix build on kfreebsd.
    + drop patch to change default option UNIX_MATCH_UID.
    + drop patch about libgcrypt version check.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 13 Jan 2013 18:00:29 +0100

gnunet (0.9.3-4) unstable; urgency=low

  [ Bertrand Marc ]
  * Drop dependency on gettext for gnunet-client and gnunet-server as it is not
    necessary, thanks to Ivan Shmakov (Closes: #690860).
  * Revert the use dh_installdocs --link-doc (Closes: #687875, #687881,
    #687883).
  * Fix build on kfreebsd, thanks to Christoph Egger (Closes: #688486).
  * Allways install libnss to /lib and fix FTBFS on ia64 (Closes: #688590).
  * Install libnss to /lib, really fix #688590, thanks to Christian Grothoff.
  * Change default option UNIX_MATCH_UID for services datastore and namestore,
    so users in the gnunet group may use these services (Closes: #686238,
    #684317).
  * Update libgcrypt version check to a less strict check, patch picked from
    upstream, following Werner Koch's advice (Closes: #684997).
  * gnunet-server.postinst: check the existence of a binary before changing its
    permissions (Closes: #688484).
  * Do not set-UID gnunet-helper-fs-publish (Closes: #691154).

  [ David Prévot ]
  * debian/po/fr.po: Fix charset, and use non-breaking spaces.

 -- Bertrand Marc <beberking@gmail.com>  Mon, 22 Oct 2012 22:52:43 +0200

gnunet (0.9.3-3) unstable; urgency=low

  * debian/control: update Vcs-* to the new repository in collab-maint.
  * Install only the generated binaries on Hurd, thanks to Cyril Roelandt
    (Closes: #670794).
  * Use chmod and chown instead of dpkg-statoverride to set special permissions
    and upgrade properly depending on the previous version (Closes: #673301).
  * Fix "gcc-4.6: [sparc] compiler fails to align stack-allocated
    struct, with array of uint32-values to 32-bit boundary":
    new patch sparc_alignment.patch, taken from upstream:
    https://lists.gnu.org/archive/html/gnunet-svn/2012-07/msg00548.html
    Thanks to Jurij Smakov for the analysis.
    (Closes: #670578)
  * Fix the logfile name in gnunet-server.logrotate (Closes: #685856).

 -- Bertrand Marc <beberking@gmail.com>  Sun, 05 Aug 2012 20:13:49 +0200

gnunet (0.9.3-2) unstable; urgency=low

  * Clean properly dpkg-statoverride in gnunet-server.postrm
    (Closes: #678331).

 -- Bertrand Marc <beberking@gmail.com>  Wed, 20 Jun 2012 23:55:11 +0200

gnunet (0.9.3-1) unstable; urgency=low

  * Fix build on GNU Hurd, thanks to Cyril Roelandt (Closes: #670794).
  * Imported Upstream version 0.9.3.
  * Refresh the only patch.
  * Update debian/*.install, links, and rules to match the new tree.
  * Pass hardening build flags to configure.
  * Update debian/rules clean to build twice successfully.
  * Do not install gnunet-helper-transport-wlan-dummy.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 17 Jun 2012 12:22:32 +0200
