## gnunet 0.9.5a

=== debian/changelog ===
gnunet (0.9.5a-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Fix FTBFS on non-linux architectures (Closes: #740544):
   + remove gnunet-server.install.[kfreebsd,hurd].
   + generate gnunet-server.install.[kfreebsd,hurd] during install and remove
     them during auto_clean.   
   + remove the useless leftovers of vpn, dns and gns stuff on non-linux
     architectures (which are useless as the related libraries are not built).

  [ Hideki Yamane ]
  * Add "Build-Depends: libidn11-dev" to fix FTBFS "error: Libidn not found"
    (Closes: #747782).

  [ Bertrand Marc ]
  * Build-depend on libgnutls28-dev instead of libgnutls-dev (Closes: #753031).

 -- Bertrand Marc <beberking@gmail.com>  Wed, 09 Jul 2014 19:52:24 +0200

gnunet (0.9.5a-3) unstable; urgency=medium

  * debian/rules: copy gnunet.conf from debian/etc/ instead of echo it directly,
    to make debian/rules independent of the shell (Closes: #739298).
  * gnunet-server.postrm: do not fail if the gnunet user is not a system user
    (Closes: #719448).

 -- Bertrand Marc <beberking@gmail.com>  Sat, 22 Feb 2014 11:42:59 +0100

gnunet (0.9.5a-2) unstable; urgency=medium

  * Do not install /usr/share/doc/gnunet/README in gnunet-server
    (Closes: #738600).

 -- Bertrand Marc <beberking@gmail.com>  Tue, 11 Feb 2014 19:50:54 +0100

gnunet (0.9.5a-1) unstable; urgency=medium

  [ Bertrand Marc ]
  * Imported Upstream version 0.9.5a
  * Drop dependency on gettext for gnunet-client and gnunet-server as it is not
    necessary, thanks to Ivan Shmakov.
  * Fix build on kfreebsd, thanks to Christoph Egger.
  * gnunet-server.postinst: check the existence of a binary before changing its
    permissions.
  * Drop patch to configure the nssdir, included upstream.
  * Drop patch to support GNU Hurd, included upstream.
  * Drop patch to fix alignment on Sparc, included upstream.
  * Update debian/*.install.* and debian/*.docs to match the new tree.
  * debian/control: use canonical URI in Vcs-git and Vcs-browser fields.
  * Build depend on gnutls, glib and gtop.
  * debian/rules: add gns nss to configure.
  * debian/copyright: update years.
  * Rewrite gnunet-server.init based on /etc/init.d/skeleton and make
    gnunet-server depend on lsb-base to use LSB logging.
  * Use debhelper v9 and update paths accordingly.
  * Make the binaries aware of paths with the multiarch tuple, patch picked
    upstream.
  * Fix a few typos to make lintian happy.
  * Make uscan check the archive signature:
    + add the upstream key to debian/upstream-signing-key.pgp.
    + add the binary key to debian/source/include-binaries.
    + add pgpsigurlmangle to debian/watch.
  * Remove manpages for services and helpers, they are not in PATH anymore.
  * Remove manpages for binaries which are not built anymore.
  * Generate debian/gnunet-server.init from debian/rules as the path to the
    daemon now depends on $(DEB_HOST_MULTIARCH).
  * Standards version 3.9.5: no changes needed.
  * Add manpages for gnunet-testing-run-service, gnunet-mesh, gnunet-gns-import
    and gnunet-transport-certificate-creation.
  * Links the gnunet-gns-proxy manpage to gnunet-gns-proxy-setup-ca.
  * Make gnunet-server recommend openssl and libnss3-tools, they are used by
    gnunet-gns-proxy-setup-ca and gnunet-transport-certificate-creation.
  * Do not build-depend on guile-1.8-dev anymore and remove --enable-guile from
    configure, GNU Guile is not used at build time. Make gnunet-client depend on
    guile-2.0 as gnunet-download-manager uses it.
  * Do not suggest libextractor-plugins anymore, these were merged into
    libextractor.

  [ Daniel Dehennin ]
  * RDBMS libraries are used only by “gnunet-server” package.
  * Remove obsolete manpage links.

  [ David Barksdale ]
  * Update the default hostlist severs.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 09 Feb 2014 16:24:17 +0100
