=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Build-Depends:
  debhelper (>= 9), po-debconf, gettext, dh-autoreconf, autopoint, autoconf (>=2.59),
  automake (>=1.11.1), libextractor-dev (>=1:0.6.3), libmicrohttpd-dev (>=0.9.18),
- libgcrypt11-dev (>=1.2), libcurl4-gnutls-dev (>=7.21.0),
+ libgcrypt11-dev (>=1.2), libcurl4-gnutls-dev (>=7.21.3), libidn11-dev,
  libunistring-dev  (>=0.9.2), libltdl-dev (>=2.2), libmysqlclient-dev (>=5.1),
- libsqlite3-dev (>=3.0), libpq-dev (>=8.3), guile-1.8-dev, libglpk-dev (>=4.32)
+ libsqlite3-dev (>=3.0), libpq-dev (>=8.3), libglpk-dev (>=4.32),
+ libgnutls28-dev (>=2.12.0), libglib2.0-dev (>=2.6), libgtop2-dev
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/gnunet.git
-Vcs-browser: http://git.debian.org/?p=collab-maint/gnunet.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/gnunet.git
+Vcs-browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnunet.git
 Homepage: http://www.gnunet.org/
 
 Package: gnunet
@@ -30,9 +31,8 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
- gettext
-Suggests: gnunet-server, libextractor-plugins
+ ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version})
+Suggests: gnunet-server, guile-2.0
 Description: secure, trust-based peer-to-peer framework (client)
  GNUnet is a peer-to-peer framework which focuses on providing security. All
  link-to-link messages in the network are confidential and authenticated. The
@@ -75,7 +75,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends}, ${shlibs:Depends}, gnunet-common (= ${binary:Version}),
- adduser, gettext, netbase
+ adduser, netbase, lsb-base
+Recommends: openssl, libnss3-tools
 Suggests: miniupnpc
 Breaks: gnunet-fuse (<<0.9), gnunet-client (<<0.9)
 Replaces: gnunet-fuse (<<0.9), gnunet-client (<<0.9)
