## gnunet 0.10.1

=== debian/changelog ===
gnunet (0.10.1-5.1ubuntu1) focal; urgency=medium

  * d/control: request python2 explicitly, this doesn't work with py3
    yet.
  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 14 Feb 2020 19:49:34 -0300

gnunet (0.10.1-5.1build2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 15 Aug 2019 10:49:52 +0200

gnunet (0.10.1-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build-depend on python, to make gnunet-qr usable again.
    (Closes: #906075)

 -- Adrian Bunk <bunk@debian.org>  Sat, 22 Sep 2018 10:42:50 +0300

gnunet (0.10.1-5) unstable; urgency=medium

  * Migrate from a manual "-dbg" package to an automatic generated debug symbol
    package:
    + debian/control: remove gnunet-dbg.
    + debian/rules: use --dbgsym-migration in override_dh_strip.
  * Standards-version: 4.1.1.
  * debian/gnunet.postinst: remove rm_conffile for old config files from before
    oldstable.
  * Use https instead of ftp in debian/watch.
  * Fix more typos in debian/patches/typos.diff.

 -- Bertrand Marc <bmarc@debian.org>  Sun, 22 Oct 2017 11:56:03 +0200

gnunet (0.10.1-4) unstable; urgency=medium

  * Use my @debian.org address for the maintainer field and in debian/copyright.
  * debian/control: fix Vcs-git and Vcs-browser URIs.
  * Build-depend on default-libmysqlclient-dev instead of libmysqlclient-dev
    (Closes: #845850).
  * Add a lintian override for python-script-but-no-python-dep, as a suggests
    relationship is more appropriate.

 -- Bertrand Marc <bmarc@debian.org>  Sat, 10 Dec 2016 11:12:02 +0100

gnunet (0.10.1-3) unstable; urgency=medium

  * Acknowledge NMU. Thanks to Raphael Geissert and Balint Reczey.
  * debian/gnunet.postinst: add quotes to the tr argument to make it work with
    zsh (Closes: #779259).
  * debian/control: update description according to upstream website.
  * Remove old transitional dummy packages gnunet-server, gnunet-client,
    gnunet-common.
  * debian/gnunet.postrm: check binaries existence without full path, the
    POSIX way.
  * Add a patch taken from upstream to fix FTBFS on GNU/Hurd due to a missing
    definition of PATH_MAX (Closes: #805013).
  * Standards-version: 3.9.8, no changes needed.
  * debian/control: use secure uri in Vcs-* fields.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 24 Apr 2016 22:52:41 +0200

gnunet (0.10.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [Raphael Geissert]
  * Fix bashisms (Closes: #772233)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 20 Dec 2014 09:59:13 +0100

gnunet (0.10.1-2) unstable; urgency=medium

  * Put the upstream signing key in debian/upstream/signing-key.asc and remove
    debian/source/include-binaries.
  * debian/control: update homepage as www.gnunet.org does not work anymore.
  * Fix FTBFS on kfreebsd (Closes: #765293). Thanks to Steven Chamberlain for
    testing it.
    + Add a patch to check properly the existence of malloc_np.h.
    + debian/rules: remove the file selection on kfreebsd as all binaries are
      built now.
  * debian/rules: use debhelpers -indep and -arch targets to make sure nothing
    is built unnecessary on an arch-indep build.

 -- Bertrand Marc <beberking@gmail.com>  Wed, 15 Oct 2014 21:44:26 +0200

gnunet (0.10.1-1) unstable; urgency=medium

  * Imported Upstream version 0.10.1 (Closes: #719255, #702101).
  * Remove patches:
    + multiarch_support.diff, included upstream.
    + update-default-hostlist-servers.patch, not needed anymore.
    + typos.patch, included upstream.
    + add_shebang.patch, included upstream.
  * Add patches:
    + from upstream SVN to build against libcurl instead of libgnurl
      (Closes: #758937).
    + to fix the installation directory of GNUnet conversation.
    + to fix a few typos and make lintian happy.
    + from upstream SVN to make sure set-profiler and set-ibf-profiler
      are not installed.
  * debian/control:
    + update build-dependencies and recommends according to README.
    + make gnunet-dev depend on libgcrypt20-dev (>=1.6) as headers include
      gcrypt.h.
    + breaks gnunet-gtk (<<0.10).
    + suggests: python and python-zbar for gnunet-qr.
  * Merge gnunet-server, gnunet-client and gnunet-common into the gnunet binary
    package. The split was unnecessary hard to maintain for too little gain.
  * Remove properly the old config file /etc/default/gnunet-server in
    gnunet.postinst.
  * Add symlinks to libnss_gns* for gnunet-dev in debian/rules.
  * Remove manpages for gns-import, mesh, resolver, testing-run-service and
    transport-certificate-creation, they are included upstream.
  * Add manpages for bcd, nse, qr, scrypt and testbed-profiler.
  * Update gnunet.conf with the new settings from gnunet.org. Replace
    SERVICEHOME with GNUNET_HOME also in gnunet.postinst.
  * Standards-version: 3.9.6, no changes needed.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 04 Oct 2014 12:51:21 +0200
