=== debian/control ===
Source: gnunet
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bertrand Marc <bmarc@debian.org>
Build-Depends:
 debhelper (>= 9), po-debconf, gettext, dh-autoreconf, autopoint, autoconf (>=2.59),
 automake (>=1.11.1), libextractor-dev (>=1:0.6.3), libmicrohttpd-dev (>=0.9.33),
 libgcrypt20-dev (>=1.6), libcurl4-gnutls-dev (>=7.35.0), libidn11-dev (>=1.0),
 libunistring-dev  (>=0.9.2), libltdl-dev (>=2.2), default-libmysqlclient-dev,
 libsqlite3-dev (>=3.8), libpq-dev (>=8.3), libglpk-dev (>=4.45),
 libgnutls28-dev (>=3.2.12), libopus-dev (>=1.0.1), libpulse-dev (>=2.0),
 libogg-dev (>=1.3.0), python2
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnunet.git
Vcs-browser: https://anonscm.debian.org/git/collab-maint/gnunet.git
Homepage: http://gnunet.org/

Package: gnunet
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, netbase, lsb-base
Recommends: openssl, libnss3-tools
Suggests: miniupnpc, texlive (>=2012), python2, python-zbar
Breaks: gnunet-fuse (<<0.10), gnunet-client (<<0.10), gnunet-server (<<0.10),
 gnunet-common (<<0.10), gnunet-gtk (<<0.10)
Replaces: gnunet-fuse (<<0.10), gnunet-client (<<0.10), gnunet-server (<<0.10),
 gnunet-common (<<0.10)
Description: GNU's framework for secure peer-to-peer networking (meta)
 GNUnet is a framework for secure peer-to-peer networking that does not use any
 centralized or otherwise trusted services. Its high-level goal is to provide a
 strong free software foundation for a global network that provides security
 and in particular respects privacy.
 .
 GNUnet started with an idea for anonymous censorship-resistant file-sharing,
 but has grown to incorporate other applications as well as many generic
 building blocks for secure networking applications. In particular, GNUnet now
 includes the GNU Name System, a privacy-preserving, decentralized public key
 infrastructure.

Package: gnunet-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends}, gnunet (= ${binary:Version}), libextractor-dev (>=1:0.6.3),
 libmicrohttpd-dev (>=0.9.33), libgcrypt20-dev (>=1.6)
Description: GNU's framework for secure peer-to-peer networking (development)
 GNUnet is a framework for secure peer-to-peer networking that does not use any
 centralized or otherwise trusted services. Its high-level goal is to provide a
 strong free software foundation for a global network that provides security
 and in particular respects privacy.
 .
 GNUnet started with an idea for anonymous censorship-resistant file-sharing,
 but has grown to incorporate other applications as well as many generic
 building blocks for secure networking applications. In particular, GNUnet now
 includes the GNU Name System, a privacy-preserving, decentralized public key
 infrastructure.
 .
 This package contains the development files.
