=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://ftp.gnu.org/gnu/gnunet/gnunet-(\d.+).tar.gz
